Game Not Loading v1.2.0

0

He is not the only one with that issue got the same report on discord but no error and no way to reproduce

0

What about deleting the client.prefs file @Bernie_Sanders %USER_HOME/AppData/Roaming/Forged Alliance Forever/client.prefs

0

You could also try:
Run from cmd(win+r and type cmd, then enter the path to the exe) and see if it outputs an error
Run from zip version you can find on github https://github.com/FAForever/downlords-faf-client/releases/tag/v1.2.0
Run from code how to with video in the read me https://github.com/FAForever/downlords-faf-client#how-to-run see if it oututs errors

But really I thnk it is the client.prefs file that is somehow fucked up

0

None of the above solution work. I rolled back to the previous version and the same thing is happening.

0

But the v1.1.9 worked before? Can you uninstall instead of just installing 1.1.9 and selecting to uninstall the old one. Cause some times the install a new version leaves old files behind. Wehere as if u uninstall and then install again it deletes 100% of the stuff.

0

U sure u deleted the client.prefs file I put a lot of hope in that solution?

0

if anyone of the ppl having this issue wants to I could make a team viewer session install a profiler and look at what is happening live. I got no more ideas on what could be tried. So looking at the problem live is the only thing I can still imagine could work.
I might like to:
reinstall the client
install programms like Intelij(IDE for programming) , yourkit (java profiler) and microsoft process monitor

Personal message me if you like to help and schedule a date with me.

0

Also are u newly installing the client? Like are u new to FAF? Maybe that's the reason you get this issue and all of us don't... Cause we all had the client before and just updated to 1.2.0 and also all the tester that test new releases only update.

0

And I read someone on Discord that suggested to install https://github.com/FAForever/downlords-faf-client/releases/tag/v1.1.8 has anyone tired that and can confirm that works? Also if it works try updating to v1.2.0 and see if that fixes it.

0

Hey, I have had the same issue, got it for the first time when I installed 1.1.9 and then it went away again when I went back to 1.1.8, and now when updating to 1.2.0 it still happens. Going back to 1.1.8 it works fine though. Windows 10 64 bit here as well.

Tried deleting the client.prefs file now after updating again but still doesn't work. For me it does not stall on the downlords splash screen though, it just shows it for a second or two and then goes away. Same with the downlords-faf-client.exe process. Going back to 1.1.8 it works again.

0

Well I can not investigate this without logs or profiling it. Or a way to reproduce it

0

So btw what changed from 1.1.8 to 1.1.9 is the java version from 11 to 14. That is likely the issue here. Anyways unless some of you helps us find out why this happens it is gonna stay like that.

0

I changed from 1.1.9 to 1.2.0 and have the same issue, tried all above solutions. The error log says the following:

Exception in thread "WindowsNativeRunloopThread" java.lang.NoSuchMethodError: <init>
at com.sun.glass.ui.win.WinApplication.staticScreen_getScreens(Native Method)
at com.sun.glass.ui.Screen.initScreens(Screen.java:412)
at com.sun.glass.ui.Application.lambda$run$1(Application.java:152)
at com.sun.glass.ui.win.WinApplication._runLoop(Native Method)
at com.sun.glass.ui.win.WinApplication.lambda$runLoop$3(WinApplication.java:174)
at java.base/java.lang.Thread.run(Thread.java:832)
Exception in thread "JavaFX Application Thread" java.lang.NullPointerException
at com.sun.prism.d3d.D3DPipeline.getAdapterOrdinal(D3DPipeline.java:205)
at com.sun.javafx.tk.quantum.QuantumToolkit.assignScreensAdapters(QuantumToolkit.java:695)
at com.sun.javafx.tk.quantum.QuantumToolkit.runToolkit(QuantumToolkit.java:313)
at com.sun.javafx.tk.quantum.QuantumToolkit.lambda$startup$10(QuantumToolkit.java:258)
at com.sun.glass.ui.Application.lambda$run$1(Application.java:153)
at com.sun.glass.ui.win.WinApplication._runLoop(Native Method)
at com.sun.glass.ui.win.WinApplication.lambda$runLoop$3(WinApplication.java:174)
at java.base/java.lang.Thread.run(Thread.java:832)

Any help is welcome!

0

After succesively deleting everything Java SDK related from Windows (including the enviroment variables), reinstalling and restarting Windows it finally worked (following the advice given on a website that deals with an error that is related to this problem):

https://bugs.openjdk.java.net/browse/JDK-8231015

"CUSTOMER SUBMITTED WORKAROUND :
Uninstall other JDKs in the system. It seems removing the jdk 8 from the PATH env variable solves this."

0

Hmm I wonder if we could do something against that... Maybe the installer could modify the PATH variable before launch... Have you got an idea on how to reproduce? If I wanna work against it with the installer I got to reproduce it first. What java version? What was on the PATH? @graftod666

I probably need some help of ppl that have the issue.

0

if I would only find the posts of all the other ppl having this issue

0

I tried installing java jre 8 in the latest version. That did not reproduce it, also tried adopt openjdk 8 and set both PATH and JAVA_HOME

0

Also adding the parameter from the first answer there might help but hard to tell without anybody willing to try or a way to reproduce https://stackoverflow.com/questions/52906570/javafx-11-using-maven-throws-exception-windowsnativerunloopthread

1

Concerning that if you want to test it you need to add the following line

-Djava.library.path=C:/

to the downlords-faf-client.vmoptions in the installation directory. To edit it you need to be an admin. Therefore you need to search for notpad, right click it and open as admin. If opened select File->Open-> Open downlords-faf-client.vmoptions (you might select All Files in the bottom right to be able to see the file) . Add the line at the end of the file and save. Start the client.

0

@axel12 Sorry, i unfortunately haven't documented my enviroment variables before deleting... What i do know though is, that i had the following installed:
Java 8 Update 161 (64-bit)
Java 8 Update 191 (64-bit)
Java 8 SE Development Kit 8 Update 191 (64-bit)

And i had some JDBC entries in my enviroment that i deleted.

probably all not helpfull, sorry...